//  
//  Copyright (C) 1998,1999, 2000 TechnoTrend Systemtechnik GmbH
//  

// $Logfile: /DVB-BDA/Source/BIN/BASE/VideoText/VT_SCRPT.js $
// $Revision: 1 $
// $Modtime: 11.05.04 13:03 $

// Globals

var nVTPLidx = -1;

function Test(ms)
{
	GotoPrevPageLink();
}

function InvColors(elem)
{
	var v1 = elem.style.backgroundColor;
	elem.style.backgroundColor = elem.style.color;
	elem.style.color = v1;
}

function GotoPrevPageLink()
{
	if(nVTPLidx > -1)
	{
		if(nVTPLidx < document.all.VTPL.length)
		{
			InvColors(document.all.VTPL[nVTPLidx]);
		}
	}
	if(document.all.VTPL.length > 0)
	{
		nVTPLidx--;
		if(nVTPLidx >= document.all.VTPL.length)
			nVTPLidx = document.all.VTPL.length -1 ;
		if(nVTPLidx < 0)
			nVTPLidx = document.all.VTPL.length -1 ;
		InvColors(document.all.VTPL[nVTPLidx]);
	}
}

function GotoNextPageLink()
{
	if(nVTPLidx > -1)
	{
		if(nVTPLidx < document.all.VTPL.length)
		{
			InvColors(document.all.VTPL[nVTPLidx]);
		}
	}
	if(document.all.VTPL.length > 0)
	{
		nVTPLidx++;
		if(nVTPLidx >= document.all.VTPL.length)
			nVTPLidx = 0;
		InvColors(document.all.VTPL[nVTPLidx]);
	}
}

function NavigateToSelectedPageLink()
{
	if(nVTPLidx > -1)
	{
		if(nVTPLidx < document.all.VTURL.length)
			window.navigate(document.all.VTURL[nVTPLidx].href);
	}

}

function KeyHandler()
{
 //alert(">" + String.fromCharCode(event.keyCode) + "<");
 switch(String.fromCharCode(event.keyCode))
 {
 case '&':
  prgPrevProg();
  event.returnValue=false;
  break;
 case '(':
  prgNextProg();
  event.returnValue=false;
  break;
 case '%':  // leiser
  mt_Volume = mt_Volume > 0 ? mt_Volume - 1 : mt_Volume ;
  prgSetVolume(mt_Volume,mt_Balance);
  event.returnValue=false;
  break;
 case '\'':  // lauter
  mt_Volume = mt_Volume < 100 ? mt_Volume + 1 : mt_Volume ;
  prgSetVolume(mt_Volume,mt_Balance);
  event.returnValue=false;
  break;
 default:
  break;
 }
 
}

//###VT++
function SetCurTime(strTime)
{
	if( document.all.curTime )
	{
		document.all.curTime.innerText = strTime;
	}
}
//###--
